--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress MDD change 15/005
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              13-APR-15   Generis           14.4
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to regress MDD change 15/005
PROMPT
PROMPT Version 14.4
PROMPT
--
PROMPT
PROMPT Regress add COU as SHIP (and GAO) (MDD 15/005)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''COU''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''COU''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                      WHERE MARKET_PARTICIPANT_CODE = ''COU''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
PROMPT
PROMPT Regress add PFP as SHIP (and GAO) (MDD 15/005)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''PFP''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''PFP''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                      WHERE MARKET_PARTICIPANT_CODE = ''PFP''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
PROMPT
PROMPT Regress add GEG as SHIP (and GAO) (MDD 15/005)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''GEG''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''SHIP''';

  EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                      WHERE MARKET_PARTICIPANT_CODE = ''GEG''
                        AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';

EXCEPTION
  WHEN is_snapshot OR invalid_column THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
